import '../../../../core/resources/data_state.dart';
import '../../../../core/usecase/use_case.dart';
import '../repository/auth_repository.dart';

class LogoutUseCase implements UseCase<DataState<String>, NoParams> {
  final AuthRepository repository;
  LogoutUseCase(this.repository);

  @override
  Future<DataState<String>> call(NoParams params) => repository.logout();
}
